Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.signing.signatory.pgp
[Groovy] Class PgpSignatoryFactory

    java.lang.Object
      org.gradle.plugins.signing.signatory.pgp.PgpSignatoryFactory

    class PgpSignatoryFactory

Method Summary
`PgpSignatory` | `createSignatory(Project project, boolean required = false)`
`PgpSignatory` | `createSignatory(Project project, String propertyPrefix, boolean required = false)`
`PgpSignatory` | `createSignatory(Project project, String propertyPrefix, String name, boolean required = false)`
`PgpSignatory` | `createSignatory(String name, String keyId, File keyRing, String password)`
`PgpSignatory` | `createSignatory(String name, PGPSecretKey secretKey, String password)`
`protected def` | `getQualifiedPropertyName(String propertyPrefix, String name)`
`protected PgpKeyId` | `normalizeKeyId(String keyId)`
`protected PgpSignatory` | `readProperties(Project project, String prefix, String name, boolean required = false)`
`PGPSecretKey` | `readSecretKey(String keyId, File file)`
`protected PGPSecretKey` | `readSecretKey(InputStream input, String keyId, String sourceDescription)`
`protected PGPSecretKey` | `readSecretKey(PGPSecretKeyRingCollection keyRings, PgpKeyId keyId, String sourceDescription)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### createSignatory

    PgpSignatory createSignatory(Project project, boolean required = false)

### createSignatory

    PgpSignatory createSignatory(Project project, String propertyPrefix, boolean required = false)

### createSignatory

    PgpSignatory createSignatory(Project project, String propertyPrefix, String name, boolean required = false)

### createSignatory

    PgpSignatory createSignatory(String name, String keyId, File keyRing, String password)

### createSignatory

    PgpSignatory createSignatory(String name, PGPSecretKey secretKey, String password)

### getQualifiedPropertyName

    protected def getQualifiedPropertyName(String propertyPrefix, String name)

### normalizeKeyId

    protected PgpKeyId normalizeKeyId(String keyId)

### readProperties

    protected PgpSignatory readProperties(Project project, String prefix, String name, boolean required = false)

### readSecretKey

    PGPSecretKey readSecretKey(String keyId, File file)

### readSecretKey

    protected PGPSecretKey readSecretKey(InputStream input, String keyId, String sourceDescription)

### readSecretKey

    protected PGPSecretKey readSecretKey(PGPSecretKeyRingCollection keyRings, PgpKeyId keyId, String sourceDescription)

Gradle API 1.10